	// ===============================================================
	// Global Var
	// ===============================================================
	
	// Edit Handler
	// _______________________________________________________________________
	var EDIT_HANDLER = function(){};	
	EDIT_HANDLER.REF_IS_MODIFIED = false;
	EDIT_HANDLER.HAS_NEWLY_SAVED_DATA = false;
	var PROPERTY_PARENT_ID = 0;
	var PROPERTY_PARENT_DESCRIPTION = "";
	
	
	// Cache
	// _______________________________________________________________________
	var PROPERTY_REC_TRANS_ID = -1;
	var PROPERTY_EDIT_MODE = false;
	var PROPERTY_EDIT_ROW_INDEX = -1;
	var INPUT_INSTANCE = null;
	
	
	// Buttons [Optional]
	// _______________________________________________________________________
	var ADD_BBI = null;
	var SAVE_BBI = null;
	var DELETE_BBI = null;
	var CANCEL_BBI = null;
	var NAVIGATION_BACK_BBI = null;
	
	var DRAFT_TRANSACTION_BBI = null;
	var VOID_TRANSACTION_BBI = null;
	var PRODUCTION_TRANSACTION_BBI = null; 
	var COMPLETED_TRANSACTION_BBI = null;

	var LOAD_MORE_BBI = null;
	var LOAD_PREV_BBI = null;
	var LOAD_NEXT_BBI = null;
	var LOAD_PAGING_CMB = null;
	var LOAD_PAGING_IGNORE_NEXT_REQUEST = false;
	
	var SEARCH_CMD = null;
	var PRINT_BBI = null;
	var EXPORT_BBI = null;
	
	
	// Dialog Controls [Optional]
	// _______________________________________________________________________
	var REC_TRANS_CAT_PRODUCT_ID_CMB = null;
	var REC_TRANS_QUANTITY_YIELD_TXT = null;
	var REC_TRANS_QUANTITY_POST_TXT = null;
	var REC_TRANS_QUANTITY_ACTUAL_TXT = null;
	var REC_TRANS_QUANTITY_MIX_TXT = null;
	var REC_TRANS_COST_PPC_TXT = null;
	var REC_TRANS_COST_PPPC_TXT = null;
	var REC_TRANS_COST_TOTAL_TXT = null;
	var REC_TRANS_DATE_SCHEDULE_DTP = null;
	var REC_TRANS_STATUS_CMB = null;
	
	var SEARCH_REC_TRANS_DATE_POST_CMB = null;
	var SEARCH_REC_TRANS_DATE_COMPLETE_CMB = null;
	var SEARCH_REC_TRANS_DATE_SCHEDULE_CMB = null;
	
	var PARAM_REC_TRANS_ID_FILE_FP = null;
	
	
	// DGV Controls
	// _______________________________________________________________________
	var TRANS_DGV = null;
	var TRANS_LAST_GET_MAP_ARRAY = null;


	// ===============================================================
	// Initialize Controls
	// ===============================================================     
	function FORM_INITIALIZE()
	{
		// Load Cache Parent Data [Add Redirects if this is a required data.]
		// ...........................................
		if(JSVC_COOKIE.VAR_ISSET("PROPERTY_PARENT_ID_TRANS"))
		{
			PROPERTY_PARENT_ID = JSVC_COOKIE.VAR_READ("PROPERTY_PARENT_ID_TRANS");
		}	
		else
		{
			//window.location = JSCUS_CACHE.AUTH_REDIRECT_URL[JSCUS_CACHE.LOGIN_CLASS];
			//window.close();
		}
		if(JSVC_COOKIE.VAR_ISSET("PROPERTY_PARENT_DESCRIPTION_TRANS"))
		{
			PROPERTY_PARENT_DESCRIPTION = JSVC_COOKIE.VAR_READ("PROPERTY_PARENT_DESCRIPTION_TRANS");
			if(JSOC_ELEMENT.VAR_ELEMENT_EXISTS("PAGE_PARENT_DESCRIPTION_TXT") == true)
			{
				JSOC_ELEMENT.VAR_VALUE("PAGE_PARENT_DESCRIPTION_TXT", PROPERTY_PARENT_DESCRIPTION);			
			}
			if(JSOC_ELEMENT.VAR_ELEMENT_EXISTS("PAGE_PARENT_DESCRIPTION_LBL") == true)
			{
				JSOC_ELEMENT.VAR_VALUE("PAGE_PARENT_DESCRIPTION_LBL", PROPERTY_PARENT_DESCRIPTION);			
			}
			if(JSOC_ELEMENT.VAR_ELEMENT_EXISTS("PAGE_TITLE_LBL") == true)
			{
				JSOC_ELEMENT.VAR_VALUE("PAGE_TITLE_LBL", JSOC_ELEMENT.VAR_VALUE("PAGE_TITLE_LBL") + " : " + PROPERTY_PARENT_DESCRIPTION);	
			}
		}	
		else
		{
			//window.location = JSCUS_CACHE.AUTH_REDIRECT_URL[JSCUS_CACHE.LOGIN_CLASS];	
		}
	
		// Restore Cache on reload
		// ...........................................	
		if
		(
			JSVC_COOKIE.VAR_ISSET("PROPERTY_PARENT_ID_TRANS") || 
			JSVC_COOKIE.VAR_ISSET("PROPERTY_PARENT_DESCRIPTION_TRANS")
		)
		{
			  window.onbeforeunload = function(event)
			  {
					// Get Current Root path
					var CURRENT_ROOT_PATH = JSCUS_CACHE.ROOT_PATH + JSVC_STR.VAR_MID(JSVC_STR.VAR_DLEFT(JSCUS_CACHE.AUTH_REDIRECT_URL[JSCUS_CACHE.LOGIN_CLASS], JSCUS_CACHE.SERVER_URL.length), 1, 1);
				
					// Cache Primary Key
					JSVC_COOKIE.VAR_ADD
					(
						'PROPERTY_PARENT_ID_TRANS', 
						PROPERTY_PARENT_ID, 
						5, 
						CURRENT_ROOT_PATH
					);
					
					// Cache Description
					JSVC_COOKIE.VAR_ADD
					(
						'PROPERTY_PARENT_DESCRIPTION_TRANS', 
						PROPERTY_PARENT_DESCRIPTION, 
						5, 
						CURRENT_ROOT_PATH
					);
			  };
		}
		
		// Assign Fixed Parent (Must remove auto-populate at ch.js and HTTP_PARENT_LOAD at eh.js)
		// ...........................................
		/*
		if(JSOC_ELEMENT.VAR_ELEMENT_EXISTS("PARENT_SELECT_CMB"))
		{
			JSOC_CMB.VAR_ADD
			(
				"PARENT_SELECT_CMB", 
				PROPERTY_PARENT_ID,
				PROPERTY_PARENT_DESCRIPTION
			);
		}
		*/
		
		
 		// Cache Class Properties
		// ...........................................
		if(JSVC_COOKIE.VAR_ISSET("PROPERTY_REC_TRANS_ID"))
		{
			PROPERTY_REC_TRANS_ID = JSVC_COOKIE.VAR_READ("PROPERTY_REC_TRANS_ID");
		}	
		if(JSVC_COOKIE.VAR_ISSET("PROPERTY_EDIT_MODE"))
		{
			PROPERTY_EDIT_MODE = JSVC_COOKIE.VAR_READ("PROPERTY_REC_TRANS_ID");
		}
	
		// Initialize: Modals
		// ...........................................
		if(JSOC_ELEMENT.VAR_ELEMENT_EXISTS("TRANS_MODAL") == true)
		{
			// Display Modal
			JSOC_DIALOG.VAR_MODAL("TRANS_MODAL", false);
		}
				
		// Initialize: Ribbon Buttons [Add Item]
		// ...........................................
		if(JSOC_ELEMENT.VAR_ELEMENT_EXISTS("ADD_BBI"))
		{
    		ADD_BBI = JSOC_ELEMENT.VAR_GET("ADD_BBI");     	
			
			// Add OnClick event [Show Modal]
			if(JSOC_ELEMENT.VAR_ELEMENT_EXISTS("TRANS_MODAL"))
			{
				ADD_BBI.onclick = 
					function()
					{		
						HTTP_PENDING();
						JSOC_DIALOG.VAR_MODAL("NEW_TRANS_MODAL", true);
					};					
			}
			// Add OnClick event [Show Add/Edit Page]
			else
			{
				
			}
		}	
		
		// Initialize: Ribbon Buttons [Save Changes]
		// ...........................................
		if(JSOC_ELEMENT.VAR_ELEMENT_EXISTS("SAVE_BBI"))
		{
    		SAVE_BBI = JSOC_ELEMENT.VAR_GET("SAVE_BBI");     
			if(JSVC_VAR.VAR_ISSET(HTTP_SAVE))
			{
				// Prepare Save callback
				var CALLBACK_HANDLER = 
					function(IS_SUCCESS)
					{
						// Abort on failure
						if(IS_SUCCESS == false)
						{
							return;
						}
					
						// Show record saved messageBox
						JSVC_INFO.VAR_RECORD_SAVED('');
					};
				
				// Add OnClick event
				SAVE_BBI.onclick = 
					function()
					{
						HTTP_SAVE(CALLBACK_HANDLER);
					};
			}
		}
		if(JSOC_ELEMENT.VAR_ELEMENT_EXISTS("CANCEL_BBI"))
		{
    		CANCEL_BBI = JSOC_ELEMENT.VAR_GET("CANCEL_BBI");      		
		}
		
		
		// Update Transaction Status
		// ...........................................
		if(JSOC_ELEMENT.VAR_ELEMENT_EXISTS("DRAFT_TRANSACTION_BBI"))
		{
    		DRAFT_TRANSACTION_BBI = JSOC_ELEMENT.VAR_GET("DRAFT_TRANSACTION_BBI");      
			DRAFT_TRANSACTION_BBI.onclick = function()
			{
				// Abort if not Production Status
				if(JSOC_CMB.VAR_SELECTED_VALUE(REC_TRANS_STATUS_CMB) != '2')
				{
					JSOC_DIALOG.VAR_MESSAGE_BOX
					(
						'Cannot revert cancelled / completed transactions to draft.', 
						'Revert to Draft',
						'OK', 'JSOC_DIALOG.MSGBOX_ICON_ERROR',
						function(MESSAGE_RESPONSE){}
					);	
					return;
				}
				JSOC_DIALOG.VAR_MESSAGE_BOX
				(
					'Do you want to revert transaction to draft?', 
					'Information',
					'YES NO', 'QUESTION',
					function(MESSAGE_RESPONSE)
					{
						if(MESSAGE_RESPONSE == JSOC_DIALOG.MSGBOX_YES)
						{
							JSOC_CMB.VAR_SELECTED_VALUE(REC_TRANS_STATUS_CMB, "1");
							EDIT_HANDLER.REF_IS_MODIFIED = true;
							FORM_DISABLE_BUTTON();
						}
					}
				);	
			};
		}		
		if(JSOC_ELEMENT.VAR_ELEMENT_EXISTS("VOID_TRANSACTION_BBI"))
		{
    		VOID_TRANSACTION_BBI = JSOC_ELEMENT.VAR_GET("VOID_TRANSACTION_BBI");      
			VOID_TRANSACTION_BBI.onclick = function()
			{
				// Abort if not Production Status
				if(JSOC_CMB.VAR_SELECTED_VALUE(REC_TRANS_STATUS_CMB) != '1' && JSOC_CMB.VAR_SELECTED_VALUE(REC_TRANS_STATUS_CMB) != '2')
				{
					JSOC_DIALOG.VAR_MESSAGE_BOX
					(
						'Completed transactions are not editable.', 
						'Void',
						'OK', 'JSOC_DIALOG.MSGBOX_ICON_ERROR',
						function(MESSAGE_RESPONSE){}
					);	
					return;
				}
				
				// Apply settings
				JSOC_DIALOG.VAR_MESSAGE_BOX
				(
					'Do you want to Void the current transaction? *This action is not reversible.', 
					'Information',
					'YES NO', 'QUESTION',
					function(MESSAGE_RESPONSE)
					{
						if(MESSAGE_RESPONSE == JSOC_DIALOG.MSGBOX_YES)
						{
							JSOC_CMB.VAR_SELECTED_VALUE(REC_TRANS_STATUS_CMB, "3");
							EDIT_HANDLER.REF_IS_MODIFIED = true;
							FORM_DISABLE_BUTTON();
							JSOC_ELEMENT.VAR_ENABLED(SAVE_BBI, true);	
						}
					}
				);	
			};		
		}		
		if(JSOC_ELEMENT.VAR_ELEMENT_EXISTS("PRODUCTION_TRANSACTION_BBI"))
		{
    		PRODUCTION_TRANSACTION_BBI = JSOC_ELEMENT.VAR_GET("PRODUCTION_TRANSACTION_BBI");   
			PRODUCTION_TRANSACTION_BBI.onclick = function()
			{
				// Abort if not Production Status
				if(JSOC_CMB.VAR_SELECTED_VALUE(REC_TRANS_STATUS_CMB) != '1')
				{
					JSOC_DIALOG.VAR_MESSAGE_BOX
					(
						'Cancelled / Completed transactions are not editable.', 
						'To Production',
						'OK', 'JSOC_DIALOG.MSGBOX_ICON_ERROR',
						function(MESSAGE_RESPONSE){}
					);	
					return;
				}
				
				// Apply settings
				JSOC_DIALOG.VAR_MESSAGE_BOX
				(
					'Do you want to forward transaction to production?', 
					'Information',
					'YES NO', 'QUESTION',
					function(MESSAGE_RESPONSE)
					{
						if(MESSAGE_RESPONSE == JSOC_DIALOG.MSGBOX_YES)
						{
							JSOC_CMB.VAR_SELECTED_VALUE(REC_TRANS_STATUS_CMB, "2");
							EDIT_HANDLER.REF_IS_MODIFIED = true;
							FORM_DISABLE_BUTTON();
						}
					}
				);	
			};	   		
		}		
		if(JSOC_ELEMENT.VAR_ELEMENT_EXISTS("COMPLETED_TRANSACTION_BBI"))
		{
    		COMPLETED_TRANSACTION_BBI = JSOC_ELEMENT.VAR_GET("COMPLETED_TRANSACTION_BBI");    
			COMPLETED_TRANSACTION_BBI.onclick = function()
			{
				// Abort if not Production Status
				if(JSOC_CMB.VAR_SELECTED_VALUE(REC_TRANS_STATUS_CMB) != '2')
				{
					JSOC_DIALOG.VAR_MESSAGE_BOX
					(
						'You cannot complete this transaction.', 
						'Complete Production',
						'OK', 'JSOC_DIALOG.MSGBOX_ICON_ERROR',
						function(MESSAGE_RESPONSE){}
					);	
					return;
				}
				
				// Apply settings
				JSOC_DIALOG.VAR_MESSAGE_BOX
				(
					'Do you want to complete this transaction? *This action is not reversible.', 
					'Information',
					'YES NO', 'QUESTION',
					function(MESSAGE_RESPONSE)
					{
						if(MESSAGE_RESPONSE == JSOC_DIALOG.MSGBOX_YES)
						{
							JSOC_CMB.VAR_SELECTED_VALUE(REC_TRANS_STATUS_CMB, "4");
							EDIT_HANDLER.REF_IS_MODIFIED = true;
							FORM_DISABLE_BUTTON();
							JSOC_ELEMENT.VAR_ENABLED(SAVE_BBI, true);	
						}
					}
				);	
			};	    		
		}	
	
		
		// Initialize: Ribbon Buttons [Add Back Link (to parent page)]
		// ...........................................
		if(JSOC_ELEMENT.VAR_ELEMENT_EXISTS("NAVIGATION_BACK_BBI"))
		{
    		NAVIGATION_BACK_BBI = JSOC_ELEMENT.VAR_GET("NAVIGATION_BACK_BBI");  
			
			// Add OnClick event
			NAVIGATION_BACK_BBI.onclick = 
				function()
				{
				};
		}
		
		// Initialize: Ribbon Buttons [Add Forward Link (to child page)]
		// ...........................................
		if(JSOC_ELEMENT.VAR_ELEMENT_EXISTS("NAVIGATION_BACK_BBI"))
		{
    		NAVIGATION_BACK_BBI = JSOC_ELEMENT.VAR_GET("NAVIGATION_BACK_BBI");  
			
			// Add OnClick event
			NAVIGATION_BACK_BBI.onclick = 
				function()
				{
				};	
		}
		
		// Initialize: Load more items to the list
		// ...........................................
		if(JSOC_ELEMENT.VAR_ELEMENT_EXISTS("LOAD_MORE_BBI"))
		{
    		LOAD_MORE_BBI = JSOC_ELEMENT.VAR_GET("LOAD_MORE_BBI");  
			LOAD_MORE_BBI.onclick = 
				function()
				{
					HTTP_SEARCH_LOAD_MORE();
				};
		}
		if(JSOC_ELEMENT.VAR_ELEMENT_EXISTS("LOAD_PREV_BBI"))
		{
    		LOAD_PREV_BBI = JSOC_ELEMENT.VAR_GET("LOAD_PREV_BBI");  
			LOAD_PREV_BBI.onclick = 
				function()
				{
					var CURRENT_INDEX = JSOC_CMB.VAR_SELECTED_INDEX(LOAD_PAGING_CMB);
					if(CURRENT_INDEX > 0)
					{
						JSOC_CMB.VAR_SELECTED_INDEX(LOAD_PAGING_CMB, CURRENT_INDEX - 1);
						LOAD_PAGING_CMB.onchange();
					}
				};
		}		
		if(JSOC_ELEMENT.VAR_ELEMENT_EXISTS("LOAD_NEXT_BBI"))
		{
    		LOAD_NEXT_BBI = JSOC_ELEMENT.VAR_GET("LOAD_NEXT_BBI");  
			LOAD_NEXT_BBI.onclick = 
				function()
				{
					var CURRENT_INDEX = JSOC_CMB.VAR_SELECTED_INDEX(LOAD_PAGING_CMB);
					if(CURRENT_INDEX + 1 < JSOC_CMB.VAR_COUNT(LOAD_PAGING_CMB))
					{
						JSOC_CMB.VAR_SELECTED_INDEX(LOAD_PAGING_CMB, CURRENT_INDEX + 1);
						LOAD_PAGING_CMB.onchange();
					}
				};
		}		
		if(JSOC_ELEMENT.VAR_ELEMENT_EXISTS("LOAD_PAGING_CMB"))
		{
    		LOAD_PAGING_CMB = JSOC_ELEMENT.VAR_GET("LOAD_PAGING_CMB");  
			LOAD_PAGING_CMB.onchange = 
				function()
				{
					HTTP_SEARCH_LOAD_PAGE();
				};
		}

		// Initialize: Ribbon Buttons [Add Search]
		// ...........................................
		if(JSOC_ELEMENT.VAR_ELEMENT_EXISTS("SEARCH_CMD"))
		{
			SEARCH_CMD = JSOC_ELEMENT.VAR_GET("SEARCH_CMD");
			SEARCH_CMD.onclick = function(){HTTP_SEARCH();};
		}		

		// Initialize: Ribbon Buttons [Add Print]
		// ...........................................
		if(JSOC_ELEMENT.VAR_ELEMENT_EXISTS("PRINT_BBI"))
		{
			PRINT_BBI = JSOC_ELEMENT.VAR_GET("PRINT_BBI");
			PRINT_BBI.onclick = function()
			{
				window.print();
			};
		}		
		
		// Initialize: Ribbon Buttons [Add Search]
		// ...........................................
		if(JSOC_ELEMENT.VAR_ELEMENT_EXISTS("EXPORT_BBI"))
		{
			EXPORT_BBI = JSOC_ELEMENT.VAR_GET("EXPORT_BBI");
			EXPORT_BBI.onclick = function()
			{
				JSOC_DIALOG.VAR_LOADING_SPINNER(true);
				JSRC_THREAD.REF_POST_DELAYED			
				(
					async function()
					{
						await JSRC_EXCEL.REF_EXPORT('TRANS_DGV');
						CUS_SEND_DIALOG_TRY_DISMISS();
					},
					100
				);
			};
		}		

		
		// Prepare onChange event
		// ...........................................
		var ON_CHANGE_EVENT = '';
		
		
		// Initialize: Input Controls
		// ...........................................
		if(JSOC_ELEMENT.VAR_ELEMENT_EXISTS("REC_TRANS_ID_TXT"))
		{
			REC_TRANS_ID_TXT = JSOC_ELEMENT.VAR_GET("REC_TRANS_ID_TXT");      
			REC_TRANS_ID_TXT.onchange = 
				function()
				{
					if(REC_TRANS_ID_TXT.disabled == false)
					{
						EDIT_HANDLER.REF_IS_MODIFIED = true;
					}
				};
			REC_TRANS_ID_TXT.onkeypress = function(){REC_TRANS_ID_TXT.onchange();};
			REC_TRANS_ID_TXT.onpaste = function(){REC_TRANS_ID_TXT.onchange();};
			//REC_TRANS_ID_TXT.oninput = function(){REC_TRANS_ID_TXT.onchange();};
		}
		if(JSOC_ELEMENT.VAR_ELEMENT_EXISTS("REC_TRANS_CAT_PRODUCT_ID_CMB"))
		{
			REC_TRANS_CAT_PRODUCT_ID_CMB = JSOC_ELEMENT.VAR_GET("REC_TRANS_CAT_PRODUCT_ID_CMB");      	
			REC_TRANS_CAT_PRODUCT_ID_CMB.onchange = 
				function()
				{
					if(REC_TRANS_CAT_PRODUCT_ID_CMB.disabled == false)
					{
						EDIT_HANDLER.REF_IS_MODIFIED = true;
					}
				};
			REC_TRANS_CAT_PRODUCT_ID_CMB.onkeypress = function(){REC_TRANS_CAT_PRODUCT_ID_CMB.onchange();};
			REC_TRANS_CAT_PRODUCT_ID_CMB.onpaste = function(){REC_TRANS_CAT_PRODUCT_ID_CMB.onchange();};
			//REC_TRANS_CAT_PRODUCT_ID_CMB.oninput = function(){REC_TRANS_CAT_PRODUCT_ID_CMB.onchange();};							
		}
		if(JSOC_ELEMENT.VAR_ELEMENT_EXISTS("REC_TRANS_REFERENCE_CODE_TXT"))
		{
			REC_TRANS_REFERENCE_CODE_TXT = JSOC_ELEMENT.VAR_GET("REC_TRANS_REFERENCE_CODE_TXT");      
			REC_TRANS_REFERENCE_CODE_TXT.onchange = 
				function()
				{
					if(REC_TRANS_REFERENCE_CODE_TXT.disabled == false)
					{
						EDIT_HANDLER.REF_IS_MODIFIED = true;
					}
				};
			REC_TRANS_REFERENCE_CODE_TXT.onkeypress = function(){REC_TRANS_REFERENCE_CODE_TXT.onchange();};
			REC_TRANS_REFERENCE_CODE_TXT.onpaste = function(){REC_TRANS_REFERENCE_CODE_TXT.onchange();};
			//REC_TRANS_REFERENCE_CODE_TXT.oninput = function(){REC_TRANS_REFERENCE_CODE_TXT.onchange();};
		}
		if(JSOC_ELEMENT.VAR_ELEMENT_EXISTS("REC_TRANS_QUANTITY_YIELD_TXT"))
		{
			REC_TRANS_QUANTITY_YIELD_TXT = JSOC_ELEMENT.VAR_GET("REC_TRANS_QUANTITY_YIELD_TXT");      
			REC_TRANS_QUANTITY_YIELD_TXT.onchange = 
				function()
				{
					if(REC_TRANS_QUANTITY_YIELD_TXT.disabled == false)
					{
						EDIT_HANDLER.REF_IS_MODIFIED = true;
					}
				};
			REC_TRANS_QUANTITY_YIELD_TXT.onkeypress = function(){REC_TRANS_QUANTITY_YIELD_TXT.onchange();};
			REC_TRANS_QUANTITY_YIELD_TXT.onpaste = function(){REC_TRANS_QUANTITY_YIELD_TXT.onchange();};
			//REC_TRANS_QUANTITY_YIELD_TXT.oninput = function(){REC_TRANS_QUANTITY_YIELD_TXT.onchange();};
		}
		if(JSOC_ELEMENT.VAR_ELEMENT_EXISTS("REC_TRANS_QUANTITY_POST_TXT"))
		{
			REC_TRANS_QUANTITY_POST_TXT = JSOC_ELEMENT.VAR_GET("REC_TRANS_QUANTITY_POST_TXT");      
			REC_TRANS_QUANTITY_POST_TXT.onchange = 
				function()
				{
					if(REC_TRANS_QUANTITY_POST_TXT.disabled == false)
					{
						EDIT_HANDLER.REF_IS_MODIFIED = true;
					}
				};
			REC_TRANS_QUANTITY_POST_TXT.onkeypress = function(){REC_TRANS_QUANTITY_POST_TXT.onchange();};
			REC_TRANS_QUANTITY_POST_TXT.onpaste = function(){REC_TRANS_QUANTITY_POST_TXT.onchange();};
			//REC_TRANS_QUANTITY_POST_TXT.oninput = function(){REC_TRANS_QUANTITY_POST_TXT.onchange();};
		}
		if(JSOC_ELEMENT.VAR_ELEMENT_EXISTS("REC_TRANS_QUANTITY_ACTUAL_TXT"))
		{
			REC_TRANS_QUANTITY_ACTUAL_TXT = JSOC_ELEMENT.VAR_GET("REC_TRANS_QUANTITY_ACTUAL_TXT");      
			REC_TRANS_QUANTITY_ACTUAL_TXT.onchange = 
				function()
				{
					if(REC_TRANS_QUANTITY_ACTUAL_TXT.disabled == false)
					{
						EDIT_HANDLER.REF_IS_MODIFIED = true;
					}
					
					/*
					JSOC_ELEMENT.VAR_VALUE
					(
						REC_TRANS_COST_TOTAL_TXT, 
						JSVC_NUM.VAR_ROUND
						(
							JSOC_ELEMENT.VAR_VALUE_NVAL(REC_TRANS_COST_PPC_TXT) * 
							JSOC_ELEMENT.VAR_VALUE_NVAL(REC_TRANS_QUANTITY_ACTUAL_TXT), 
							2
						)
					);
					*/
					
					if(JSOC_ELEMENT.VAR_VALUE_NVAL(REC_TRANS_QUANTITY_ACTUAL_TXT) != 0)
					{
						JSOC_ELEMENT.VAR_VALUE
						(
							REC_TRANS_COST_PPPC_TXT, 
							JSVC_NUM.VAR_ROUND 
							(
								JSOC_ELEMENT.VAR_VALUE_NVAL(REC_TRANS_COST_TOTAL_TXT) /
								JSOC_ELEMENT.VAR_VALUE_NVAL(REC_TRANS_QUANTITY_ACTUAL_TXT),
								4
							)
						);
					}
				};
			REC_TRANS_QUANTITY_ACTUAL_TXT.onkeypress = function(){REC_TRANS_QUANTITY_ACTUAL_TXT.onchange();};
			REC_TRANS_QUANTITY_ACTUAL_TXT.onpaste = function(){REC_TRANS_QUANTITY_ACTUAL_TXT.onchange();};
			//REC_TRANS_QUANTITY_ACTUAL_TXT.oninput = function(){REC_TRANS_QUANTITY_ACTUAL_TXT.onchange();};
		}
		if(JSOC_ELEMENT.VAR_ELEMENT_EXISTS("REC_TRANS_QUANTITY_MIX_TXT"))
		{
			REC_TRANS_QUANTITY_MIX_TXT = JSOC_ELEMENT.VAR_GET("REC_TRANS_QUANTITY_MIX_TXT");      
			REC_TRANS_QUANTITY_MIX_TXT.onchange = 
				function()
				{
					if(REC_TRANS_QUANTITY_MIX_TXT.disabled == false)
					{
						EDIT_HANDLER.REF_IS_MODIFIED = true;
					}
				};
			REC_TRANS_QUANTITY_MIX_TXT.onkeypress = function(){REC_TRANS_QUANTITY_MIX_TXT.onchange();};
			REC_TRANS_QUANTITY_MIX_TXT.onpaste = function(){REC_TRANS_QUANTITY_MIX_TXT.onchange();};
			//REC_TRANS_QUANTITY_MIX_TXT.oninput = function(){REC_TRANS_QUANTITY_MIX_TXT.onchange();};
		}
		if(JSOC_ELEMENT.VAR_ELEMENT_EXISTS("REC_TRANS_COST_PPC_TXT"))
		{
			REC_TRANS_COST_PPC_TXT = JSOC_ELEMENT.VAR_GET("REC_TRANS_COST_PPC_TXT");      
			REC_TRANS_COST_PPC_TXT.onchange = 
				function()
				{
					if(REC_TRANS_COST_PPC_TXT.disabled == false)
					{
						EDIT_HANDLER.REF_IS_MODIFIED = true;
					}
				};
			REC_TRANS_COST_PPC_TXT.onkeypress = function(){REC_TRANS_COST_PPC_TXT.onchange();};
			REC_TRANS_COST_PPC_TXT.onpaste = function(){REC_TRANS_COST_PPC_TXT.onchange();};
			//REC_TRANS_COST_PPC_TXT.oninput = function(){REC_TRANS_COST_PPC_TXT.onchange();};
		}
		if(JSOC_ELEMENT.VAR_ELEMENT_EXISTS("REC_TRANS_COST_PPPC_TXT"))
		{
			REC_TRANS_COST_PPPC_TXT = JSOC_ELEMENT.VAR_GET("REC_TRANS_COST_PPPC_TXT");      
			REC_TRANS_COST_PPPC_TXT.onchange = 
				function()
				{
					if(REC_TRANS_COST_PPPC_TXT.disabled == false)
					{
						EDIT_HANDLER.REF_IS_MODIFIED = true;
					}
				};
			REC_TRANS_COST_PPPC_TXT.onkeypress = function(){REC_TRANS_COST_PPPC_TXT.onchange();};
			REC_TRANS_COST_PPPC_TXT.onpaste = function(){REC_TRANS_COST_PPPC_TXT.onchange();};
			//REC_TRANS_COST_PPC_TXT.oninput = function(){REC_TRANS_COST_PPC_TXT.onchange();};
		}
		
		
		if(JSOC_ELEMENT.VAR_ELEMENT_EXISTS("REC_TRANS_COST_TOTAL_TXT"))
		{
			REC_TRANS_COST_TOTAL_TXT = JSOC_ELEMENT.VAR_GET("REC_TRANS_COST_TOTAL_TXT");      
			REC_TRANS_COST_TOTAL_TXT.onchange = 
				function()
				{
					if(REC_TRANS_COST_TOTAL_TXT.disabled == false)
					{
						EDIT_HANDLER.REF_IS_MODIFIED = true;
					}
					
				};
			REC_TRANS_COST_TOTAL_TXT.onkeypress = function(){REC_TRANS_COST_TOTAL_TXT.onchange();};
			REC_TRANS_COST_TOTAL_TXT.onpaste = function(){REC_TRANS_COST_TOTAL_TXT.onchange();};
			//REC_TRANS_COST_TOTAL_TXT.oninput = function(){REC_TRANS_COST_TOTAL_TXT.onchange();};
		}
		if(JSOC_ELEMENT.VAR_ELEMENT_EXISTS("REC_TRANS_DATE_POST_DTP"))
		{
			REC_TRANS_DATE_POST_DTP = JSOC_ELEMENT.VAR_GET("REC_TRANS_DATE_POST_DTP");   
			JSOC_ELEMENT.VAR_VALUE(REC_TRANS_DATE_POST_DTP, JSVC_DATE.VAR_FORMAT(JSVC_DATE.VAR_NOW(), "YYYY-MM-DD" + "T00:00"));
			REC_TRANS_DATE_POST_DTP.onchange = 
				function()
				{
					if(REC_TRANS_DATE_POST_DTP.disabled == false)
					{
						EDIT_HANDLER.REF_IS_MODIFIED = true;
					}
				};
			REC_TRANS_DATE_POST_DTP.onkeypress = function(){REC_TRANS_DATE_POST_DTP.onchange();};
			REC_TRANS_DATE_POST_DTP.onpaste = function(){REC_TRANS_DATE_POST_DTP.onchange();};
			REC_TRANS_DATE_POST_DTP.oninput = function(){REC_TRANS_DATE_POST_DTP.onchange();};					
		}
		if(JSOC_ELEMENT.VAR_ELEMENT_EXISTS("SEARCH_REC_TRANS_DATE_POST_DTP"))
		{
			JSOC_ELEMENT.VAR_VALUE("SEARCH_REC_TRANS_DATE_POST_DTP", JSVC_DATE.VAR_FORMAT(JSVC_DATE.VAR_NOW(), "YYYY-MM-DD") + "T00:00");
		}
		if(JSOC_ELEMENT.VAR_ELEMENT_EXISTS("SEARCH_REC_TRANS_DATE_POST_FROM_DTP"))
		{
			var SEARCH_REC_TRANS_DATE_POST_FROM_DTP = JSOC_ELEMENT.VAR_GET("SEARCH_REC_TRANS_DATE_POST_FROM_DTP");
			if(JSOC_ELEMENT.VAR_ELEMENT_EXISTS('SEARCH_REC_TRANS_DATE_POST_CMB'))
			{
				SEARCH_REC_TRANS_DATE_POST_FROM_DTP.onchange = function()
				{
					if(SEARCH_REC_TRANS_DATE_POST_FROM_DTP.disabled == false)
					{
						JSOC_CMB.VAR_SELECTED_VALUE('SEARCH_REC_TRANS_DATE_POST_CMB', JSOC_DTP.FLAG_CUSTOM.toString());
					}
				};
			}
			else
			{
				JSOC_ELEMENT.VAR_VALUE(SEARCH_REC_TRANS_DATE_POST_FROM_DTP, JSVC_DATE.VAR_FORMAT(JSVC_DATE.VAR_ADD('DAY', -7, JSVC_DATE.VAR_NOW()), "YYYY-MM-DD") + "T00:00");
			}
		}
		if(JSOC_ELEMENT.VAR_ELEMENT_EXISTS("SEARCH_REC_TRANS_DATE_POST_TO_DTP"))
		{
			var SEARCH_REC_TRANS_DATE_POST_TO_DTP = JSOC_ELEMENT.VAR_GET("SEARCH_REC_TRANS_DATE_POST_TO_DTP");
			if(JSOC_ELEMENT.VAR_ELEMENT_EXISTS('SEARCH_REC_TRANS_DATE_POST_CMB'))
			{
				SEARCH_REC_TRANS_DATE_POST_TO_DTP.onchange = function()
				{
					if(SEARCH_REC_TRANS_DATE_POST_TO_DTP.disabled == false)
					{
						JSOC_CMB.VAR_SELECTED_VALUE('SEARCH_REC_TRANS_DATE_POST_CMB', JSOC_DTP.FLAG_CUSTOM.toString());
					}
				};
			}
			else
			{
				JSOC_ELEMENT.VAR_VALUE(SEARCH_REC_TRANS_DATE_POST_TO_DTP, JSVC_DATE.VAR_FORMAT(JSVC_DATE.VAR_ADD('DAY', -7, JSVC_DATE.VAR_NOW()), "YYYY-MM-DD") + "T00:00");
			}					
		}
		if(JSOC_ELEMENT.VAR_ELEMENT_EXISTS('SEARCH_REC_TRANS_DATE_POST_CMB'))
		{
			// Initialize
			var SEARCH_REC_TRANS_DATE_POST_CMB = JSOC_ELEMENT.VAR_GET("SEARCH_REC_TRANS_DATE_POST_CMB");
			JSOC_DTP.VAR_CREATE_LIST(SEARCH_REC_TRANS_DATE_POST_CMB);
				
			// Setup onChange event
			SEARCH_REC_TRANS_DATE_POST_CMB.onchange = function()
			{
				if(SEARCH_REC_TRANS_DATE_POST_CMB.disabled == false)
				{
					JSOC_DTP.VAR_DATESET_ASSIGN
					(
						"SEARCH_REC_TRANS_DATE_POST_FROM_DTP", 
						"SEARCH_REC_TRANS_DATE_POST_TO_DTP", 
						SEARCH_REC_TRANS_DATE_POST_CMB
					);
				}
			};
				
			// Set to this week
			JSOC_CMB.VAR_SELECTED_VALUE('SEARCH_REC_TRANS_DATE_POST_CMB', '3'); 
			SEARCH_REC_TRANS_DATE_POST_CMB.onchange();
		}
		if(JSOC_ELEMENT.VAR_ELEMENT_EXISTS("REC_TRANS_DATE_COMPLETE_DTP"))
		{
			REC_TRANS_DATE_COMPLETE_DTP = JSOC_ELEMENT.VAR_GET("REC_TRANS_DATE_COMPLETE_DTP");   
			JSOC_ELEMENT.VAR_VALUE(REC_TRANS_DATE_COMPLETE_DTP, JSVC_DATE.VAR_FORMAT(JSVC_DATE.VAR_NOW(), "YYYY-MM-DD" + "T00:00"));
			REC_TRANS_DATE_COMPLETE_DTP.onchange = 
				function()
				{
					if(REC_TRANS_DATE_COMPLETE_DTP.disabled == false)
					{
						EDIT_HANDLER.REF_IS_MODIFIED = true;
					}
				};
			REC_TRANS_DATE_COMPLETE_DTP.onkeypress = function(){REC_TRANS_DATE_COMPLETE_DTP.onchange();};
			REC_TRANS_DATE_COMPLETE_DTP.onpaste = function(){REC_TRANS_DATE_COMPLETE_DTP.onchange();};
			REC_TRANS_DATE_COMPLETE_DTP.oninput = function(){REC_TRANS_DATE_COMPLETE_DTP.onchange();};					
		}
		if(JSOC_ELEMENT.VAR_ELEMENT_EXISTS("SEARCH_REC_TRANS_DATE_COMPLETE_DTP"))
		{
			JSOC_ELEMENT.VAR_VALUE("SEARCH_REC_TRANS_DATE_COMPLETE_DTP", JSVC_DATE.VAR_FORMAT(JSVC_DATE.VAR_NOW(), "YYYY-MM-DD") + "T00:00");
		}
		if(JSOC_ELEMENT.VAR_ELEMENT_EXISTS("SEARCH_REC_TRANS_DATE_COMPLETE_FROM_DTP"))
		{
			var SEARCH_REC_TRANS_DATE_COMPLETE_FROM_DTP = JSOC_ELEMENT.VAR_GET("SEARCH_REC_TRANS_DATE_COMPLETE_FROM_DTP");
			if(JSOC_ELEMENT.VAR_ELEMENT_EXISTS('SEARCH_REC_TRANS_DATE_COMPLETE_CMB'))
			{
				SEARCH_REC_TRANS_DATE_COMPLETE_FROM_DTP.onchange = function()
				{
					if(SEARCH_REC_TRANS_DATE_COMPLETE_FROM_DTP.disabled == false)
					{
						JSOC_CMB.VAR_SELECTED_VALUE('SEARCH_REC_TRANS_DATE_COMPLETE_CMB', JSOC_DTP.FLAG_CUSTOM.toString());
					}
				};
			}
			else
			{
				JSOC_ELEMENT.VAR_VALUE(SEARCH_REC_TRANS_DATE_COMPLETE_FROM_DTP, JSVC_DATE.VAR_FORMAT(JSVC_DATE.VAR_ADD('DAY', -7, JSVC_DATE.VAR_NOW()), "YYYY-MM-DD") + "T00:00");
			}
		}
		if(JSOC_ELEMENT.VAR_ELEMENT_EXISTS("SEARCH_REC_TRANS_DATE_COMPLETE_TO_DTP"))
		{
			var SEARCH_REC_TRANS_DATE_COMPLETE_TO_DTP = JSOC_ELEMENT.VAR_GET("SEARCH_REC_TRANS_DATE_COMPLETE_TO_DTP");
			if(JSOC_ELEMENT.VAR_ELEMENT_EXISTS('SEARCH_REC_TRANS_DATE_COMPLETE_CMB'))
			{
				SEARCH_REC_TRANS_DATE_COMPLETE_TO_DTP.onchange = function()
				{
					if(SEARCH_REC_TRANS_DATE_COMPLETE_TO_DTP.disabled == false)
					{
						JSOC_CMB.VAR_SELECTED_VALUE('SEARCH_REC_TRANS_DATE_COMPLETE_CMB', JSOC_DTP.FLAG_CUSTOM.toString());
					}
				};
			}
			else
			{
				JSOC_ELEMENT.VAR_VALUE(SEARCH_REC_TRANS_DATE_COMPLETE_TO_DTP, JSVC_DATE.VAR_FORMAT(JSVC_DATE.VAR_ADD('DAY', -7, JSVC_DATE.VAR_NOW()), "YYYY-MM-DD") + "T00:00");
			}					
		}
		if(JSOC_ELEMENT.VAR_ELEMENT_EXISTS('SEARCH_REC_TRANS_DATE_COMPLETE_CMB'))
		{
			// Initialize
			var SEARCH_REC_TRANS_DATE_COMPLETE_CMB = JSOC_ELEMENT.VAR_GET("SEARCH_REC_TRANS_DATE_COMPLETE_CMB");
			JSOC_DTP.VAR_CREATE_LIST(SEARCH_REC_TRANS_DATE_COMPLETE_CMB);
				
			// Setup onChange event
			SEARCH_REC_TRANS_DATE_COMPLETE_CMB.onchange = function()
			{
				if(SEARCH_REC_TRANS_DATE_COMPLETE_CMB.disabled == false)
				{
					JSOC_DTP.VAR_DATESET_ASSIGN
					(
						"SEARCH_REC_TRANS_DATE_COMPLETE_FROM_DTP", 
						"SEARCH_REC_TRANS_DATE_COMPLETE_TO_DTP", 
						SEARCH_REC_TRANS_DATE_COMPLETE_CMB
					);
				}
			};
				
			// Set to this week
			JSOC_CMB.VAR_SELECTED_VALUE('SEARCH_REC_TRANS_DATE_COMPLETE_CMB', '3'); 
			SEARCH_REC_TRANS_DATE_COMPLETE_CMB.onchange();
		}
		if(JSOC_ELEMENT.VAR_ELEMENT_EXISTS("REC_TRANS_DATE_SCHEDULE_DTP"))
		{
			REC_TRANS_DATE_SCHEDULE_DTP = JSOC_ELEMENT.VAR_GET("REC_TRANS_DATE_SCHEDULE_DTP");   
			JSOC_ELEMENT.VAR_VALUE(REC_TRANS_DATE_SCHEDULE_DTP, JSVC_DATE.VAR_FORMAT(JSVC_DATE.VAR_NOW(), "YYYY-MM-DD" + "T00:00"));
			REC_TRANS_DATE_SCHEDULE_DTP.onchange = 
				function()
				{
					if(REC_TRANS_DATE_SCHEDULE_DTP.disabled == false)
					{
						EDIT_HANDLER.REF_IS_MODIFIED = true;
					}
				};
			REC_TRANS_DATE_SCHEDULE_DTP.onkeypress = function(){REC_TRANS_DATE_SCHEDULE_DTP.onchange();};
			REC_TRANS_DATE_SCHEDULE_DTP.onpaste = function(){REC_TRANS_DATE_SCHEDULE_DTP.onchange();};
			REC_TRANS_DATE_SCHEDULE_DTP.oninput = function(){REC_TRANS_DATE_SCHEDULE_DTP.onchange();};					
		}
		if(JSOC_ELEMENT.VAR_ELEMENT_EXISTS("SEARCH_REC_TRANS_DATE_SCHEDULE_DTP"))
		{
			JSOC_ELEMENT.VAR_VALUE("SEARCH_REC_TRANS_DATE_SCHEDULE_DTP", JSVC_DATE.VAR_FORMAT(JSVC_DATE.VAR_NOW(), "YYYY-MM-DD") + "T00:00");
		}
		if(JSOC_ELEMENT.VAR_ELEMENT_EXISTS("SEARCH_REC_TRANS_DATE_SCHEDULE_FROM_DTP"))
		{
			var SEARCH_REC_TRANS_DATE_SCHEDULE_FROM_DTP = JSOC_ELEMENT.VAR_GET("SEARCH_REC_TRANS_DATE_SCHEDULE_FROM_DTP");
			JSOC_ELEMENT.VAR_VALUE(SEARCH_REC_TRANS_DATE_SCHEDULE_FROM_DTP, JSVC_DATE.VAR_FORMAT(JSVC_DATE.VAR_NOW(), "YYYY-MM-DD") + "T00:00");
			
			if(JSOC_ELEMENT.VAR_ELEMENT_EXISTS('SEARCH_REC_TRANS_DATE_SCHEDULE_CMB'))
			{
				SEARCH_REC_TRANS_DATE_SCHEDULE_FROM_DTP.onchange = function()
				{
					if(SEARCH_REC_TRANS_DATE_SCHEDULE_FROM_DTP.disabled == false)
					{
						JSOC_CMB.VAR_SELECTED_VALUE('SEARCH_REC_TRANS_DATE_SCHEDULE_CMB', JSOC_DTP.FLAG_CUSTOM.toString());
					}
				};
			}
			else
			{
				JSOC_ELEMENT.VAR_VALUE(SEARCH_REC_TRANS_DATE_SCHEDULE_FROM_DTP, JSVC_DATE.VAR_FORMAT(JSVC_DATE.VAR_ADD('DAY', -7, JSVC_DATE.VAR_NOW()), "YYYY-MM-DD") + "T00:00");
			}
		}
		if(JSOC_ELEMENT.VAR_ELEMENT_EXISTS("SEARCH_REC_TRANS_DATE_SCHEDULE_TO_DTP"))
		{
			var SEARCH_REC_TRANS_DATE_SCHEDULE_TO_DTP = JSOC_ELEMENT.VAR_GET("SEARCH_REC_TRANS_DATE_SCHEDULE_TO_DTP");
			JSOC_ELEMENT.VAR_VALUE(SEARCH_REC_TRANS_DATE_SCHEDULE_TO_DTP, JSVC_DATE.VAR_FORMAT(JSVC_DATE.VAR_ADD('DAY', +1, JSVC_DATE.VAR_NOW()), "YYYY-MM-DD") + "T00:00");
			if(JSOC_ELEMENT.VAR_ELEMENT_EXISTS('SEARCH_REC_TRANS_DATE_SCHEDULE_CMB'))
			{
				SEARCH_REC_TRANS_DATE_SCHEDULE_TO_DTP.onchange = function()
				{
					if(SEARCH_REC_TRANS_DATE_SCHEDULE_TO_DTP.disabled == false)
					{
						JSOC_CMB.VAR_SELECTED_VALUE('SEARCH_REC_TRANS_DATE_SCHEDULE_CMB', JSOC_DTP.FLAG_CUSTOM.toString());
					}
				};
			}
			else
			{
				JSOC_ELEMENT.VAR_VALUE(SEARCH_REC_TRANS_DATE_SCHEDULE_TO_DTP, JSVC_DATE.VAR_FORMAT(JSVC_DATE.VAR_ADD('DAY', -7, JSVC_DATE.VAR_NOW()), "YYYY-MM-DD") + "T00:00");
			}					
		}
		if(JSOC_ELEMENT.VAR_ELEMENT_EXISTS('SEARCH_REC_TRANS_DATE_SCHEDULE_CMB'))
		{
			// Initialize
			var SEARCH_REC_TRANS_DATE_SCHEDULE_CMB = JSOC_ELEMENT.VAR_GET("SEARCH_REC_TRANS_DATE_SCHEDULE_CMB");
			JSOC_DTP.VAR_CREATE_LIST(SEARCH_REC_TRANS_DATE_SCHEDULE_CMB);
				
			// Setup onChange event
			SEARCH_REC_TRANS_DATE_SCHEDULE_CMB.onchange = function()
			{
				if(SEARCH_REC_TRANS_DATE_SCHEDULE_CMB.disabled == false)
				{
					JSOC_DTP.VAR_DATESET_ASSIGN
					(
						"SEARCH_REC_TRANS_DATE_SCHEDULE_FROM_DTP", 
						"SEARCH_REC_TRANS_DATE_SCHEDULE_TO_DTP", 
						SEARCH_REC_TRANS_DATE_SCHEDULE_CMB
					);
				}
			};
				
			// Set to this week
			JSOC_CMB.VAR_SELECTED_VALUE('SEARCH_REC_TRANS_DATE_SCHEDULE_CMB', '99999'); 
			SEARCH_REC_TRANS_DATE_SCHEDULE_CMB.onchange();
		}
		if(JSOC_ELEMENT.VAR_ELEMENT_EXISTS("REC_TRANS_ACC_ACCOUNT_ID_POST_CMB"))
		{
			REC_TRANS_ACC_ACCOUNT_ID_POST_CMB = JSOC_ELEMENT.VAR_GET("REC_TRANS_ACC_ACCOUNT_ID_POST_CMB");      	
			REC_TRANS_ACC_ACCOUNT_ID_POST_CMB.onchange = 
				function()
				{
					if(REC_TRANS_ACC_ACCOUNT_ID_POST_CMB.disabled == false)
					{
						EDIT_HANDLER.REF_IS_MODIFIED = true;
					}
				};
			REC_TRANS_ACC_ACCOUNT_ID_POST_CMB.onkeypress = function(){REC_TRANS_ACC_ACCOUNT_ID_POST_CMB.onchange();};
			REC_TRANS_ACC_ACCOUNT_ID_POST_CMB.onpaste = function(){REC_TRANS_ACC_ACCOUNT_ID_POST_CMB.onchange();};
			//REC_TRANS_ACC_ACCOUNT_ID_POST_CMB.oninput = function(){REC_TRANS_ACC_ACCOUNT_ID_POST_CMB.onchange();};							
		}
		if(JSOC_ELEMENT.VAR_ELEMENT_EXISTS("REC_TRANS_ACC_ACCOUNT_ID_COMPLETE_CMB"))
		{
			REC_TRANS_ACC_ACCOUNT_ID_COMPLETE_CMB = JSOC_ELEMENT.VAR_GET("REC_TRANS_ACC_ACCOUNT_ID_COMPLETE_CMB");      	
			REC_TRANS_ACC_ACCOUNT_ID_COMPLETE_CMB.onchange = 
				function()
				{
					if(REC_TRANS_ACC_ACCOUNT_ID_COMPLETE_CMB.disabled == false)
					{
						EDIT_HANDLER.REF_IS_MODIFIED = true;
					}
				};
			REC_TRANS_ACC_ACCOUNT_ID_COMPLETE_CMB.onkeypress = function(){REC_TRANS_ACC_ACCOUNT_ID_COMPLETE_CMB.onchange();};
			REC_TRANS_ACC_ACCOUNT_ID_COMPLETE_CMB.onpaste = function(){REC_TRANS_ACC_ACCOUNT_ID_COMPLETE_CMB.onchange();};
			//REC_TRANS_ACC_ACCOUNT_ID_COMPLETE_CMB.oninput = function(){REC_TRANS_ACC_ACCOUNT_ID_COMPLETE_CMB.onchange();};							
		}
		if(JSOC_ELEMENT.VAR_ELEMENT_EXISTS("REC_TRANS_STATUS_CMB"))
		{
			REC_TRANS_STATUS_CMB = JSOC_ELEMENT.VAR_GET("REC_TRANS_STATUS_CMB");      	
			REC_TRANS_STATUS_CMB.onchange = 
				function()
				{
					if(REC_TRANS_STATUS_CMB.disabled == false)
					{
						EDIT_HANDLER.REF_IS_MODIFIED = true;
					}
				};
			REC_TRANS_STATUS_CMB.onkeypress = function(){REC_TRANS_STATUS_CMB.onchange();};
			REC_TRANS_STATUS_CMB.onpaste = function(){REC_TRANS_STATUS_CMB.onchange();};
			//REC_TRANS_STATUS_CMB.oninput = function(){REC_TRANS_STATUS_CMB.onchange();};							
		}
		if(JSOC_ELEMENT.VAR_ELEMENT_EXISTS("PARAM_REC_TRANS_ID_FILE_FP"))
		{
			PARAM_REC_TRANS_ID_FILE_FP = JSOC_ELEMENT.VAR_GET("PARAM_REC_TRANS_ID_FILE_FP");
			PARAM_REC_TRANS_ID_FILE_FP.onchange = 
				function()
				{
					if(PARAM_REC_TRANS_ID_FILE_FP.disabled == false)
					{
						EDIT_HANDLER.REF_IS_MODIFIED = true;
					}
				};			
		}
				
		
		// Initialize: Default Settings
		// ...........................................
		// FORM_PREPARE_DEFAULT_SETTINGS();   	
	};